WinRAR < 7.00 の複数の脆弱性

medium Nessus プラグイン ID 192940

概要

リモート Windows ホストに、複数の脆弱性の影響を受けるアプリケーションがインストールされています。

説明

リモートホストは、Windows 用のアーカイブマネージャである WinRAR を実行しており、報告されたバージョンである 7.00 より前です。したがって、複数の脆弱性の影響を受けます。

- この脆弱性は、アーカイブ抽出機能内のエラーが原因で存在します。リモートの攻撃者が特別に細工されたアーカイブを使用して、Mark-Of-The-Web 保護メカニズムをバイパスし、影響を受けるシステムを侵害する可能性があります。(CVE-2024-30370)

- Windows の 7.00 より前の RARLAB WinRAR により、攻撃者が ANSI エスケープシーケンスを介して画面出力を偽装する可能性があります。これは、CVE-2024-33899 とは別の問題です。(CVE-2024-36052)

Nessus はこの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ依存していることに注意してください。

ソリューション

WinRAR バージョン 7.00 以降にアップグレードしてください。

参考資料

https://www.zerodayinitiative.com/advisories/ZDI-24-357/

https://www.rarlab.com/rarnew.htm

http://www.nessus.org/u?64afd272

プラグインの詳細

深刻度: Medium

ID: 192940

ファイル名: winrar_700.nasl

バージョン: 1.4

タイプ: local

エージェント: windows

ファミリー: Windows

公開日: 2024/4/5

更新日: 2024/5/24

サポートされているセンサー: Nessus Agent, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

基本値: 5

現状値: 3.7

ベクトル: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

CVSS スコアのソース: CVE-2024-30370

CVSS v3

リスクファクター: Medium

基本値: 4.3

現状値: 3.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:rarlab:winrar

必要な KB アイテム: SMB/Registry/Enumerated, installed_sw/RARLAB WinRAR

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2024/4/1

脆弱性公開日: 2024/4/1

参照情報

CVE: CVE-2024-30370, CVE-2024-36052

IAVA: 2024-A-0194-S, 2024-A-0303